<bugID>1244919<Summary>JSON Viewer: show the colon for object attributes</Summary><Description>Because we are showing the colon in the object summary we do make this inconsistent and I think it will be better with the colons back.

via bug 1223143 comment 7

&gt; ## JSON tab - readability - too much punctuation removed?
&gt; 
&gt; Except in the object summaries, this punctuation is removed:
&gt; 
&gt; - commas
&gt; - colons
&gt; - curly brackets (for expanded objects)
&gt; - square brackets (for expanded arrays)
&gt; 
&gt; I understand doing away with the commas, and relying on new lines only. But
&gt; I would reinstate the colons to not be too far from JSON syntax (which users
&gt; already know). Right now when users are faced with:
&gt; 
&gt; some_key "hello&#8230;goodbye"
&gt; other 4
&gt; 
&gt; it can be a bit hard to parse, and the colons (or another visual separator,
&gt; but why invent a new one unrelated to the actual syntax?) would help:
&gt; 
&gt; some_key: "hello&#8230;goodbye"
&gt; other: 4
&gt; 
&gt; For the brackets, I find it puzzling to have them in the object and array
&gt; summaries but not having them wrap the expanded data. This does not convey
&gt; "full content of an object" to me:
&gt; 
&gt; some_key { annie: "are you okay", are_you_okay: "annie" }
&gt;     annie "are you okay"
&gt;     are_you_okay "annie"
&gt; 
&gt; Similarly for an array (though the lack of repetition makes it not as bad):
&gt; 
&gt; some_key [4]
&gt;     0  "annie"
&gt;     1  "are you okay"
&gt;     2  "are you okay"
&gt;     4  "annie"</Description></bugID>